1. Docs
  2. API Reference
  3. Get a user

Get a user

GET/scim/v2/directories/{directoryId}/Users/{id}

SCIM 2.0 (RFC 7644 §3.4.1). Returns one of this directory's users by its SCIM id. A user in another directory is indistinguishable from one that does not exist. Errors use SCIM's error schema (RFC 7644 §3.12).

Path Parameters

directoryIdstring Required

The directory the SCIM token was minted for.

idstring Required

Responses

application/scim+json

  • schemasstring[]*
  • idstring*

    This directory's id for the person

  • externalIdstring
  • userNamestring*

    The sign-in email, lowercased

  • nameScimNameDto*
  • emailsScimEmailDto[]*
  • activeboolean*

    Whether the person is active in this directory

  • metaScimMetaDto*

application/scim+json

  • schemasstring[]*
  • statusstring*

    The HTTP status, as a string

  • detailstring*
  • scimTypestring

    Present for some refusals, e.g. `uniqueness`

application/scim+json

  • schemasstring[]*
  • statusstring*

    The HTTP status, as a string

  • detailstring*
  • scimTypestring

    Present for some refusals, e.g. `uniqueness`

Returned object

Request
curl -X GET "https://auth.canopy-io.com/scim/v2/directories/value/Users/value"
Response
{
  "schemas": [
    "urn:ietf:params:scim:schemas:core:2.0:User"
  ],
  "id": "string",
  "externalId": "string",
  "userName": "string",
  "name": {
    "givenName": "string",
    "familyName": "string"
  },
  "emails": [
    {
      "value": "string",
      "primary": false,
      "type": "work"
    }
  ],
  "active": false,
  "meta": {
    "resourceType": "User",
    "created": "2026-04-20T12:00:00.000Z",
    "lastModified": "2026-04-20T12:00:00.000Z",
    "location": "string",
    "version": "string"
  }
}
Related endpoints Was this page helpful?

Tell us how we can improve this guide.